from google.appengine.ext.webapp import template

def set_cookie(response,key,value):
  val = key + "=" + value + "; expires=Fri, 31-Dec-2020 23:59:59 GMT"
  response.headers.add_header('Set-Cookie',val)

def get_cookie(request,key):
  return request.cookies.get(key,'')

def set_content_type(response, type):
  response.headers.add_header('Content-Type',type)
  
def render_to_response(response, t, vals):
  response.out.write(template.render(t,vals))
  